#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>

int main()
{
	int fd, pid;

	fd = open("who.log", O_WRONLY|O_CREAT|O_APPEND, 0644);
	if (fd == -1)
	{
		perror("who.log");
		exit(EXIT_FAILURE);
	}	

	close(1);
	
	if (dup(fd) == -1)
	{
		perror("dup");
		exit(EXIT_FAILURE);
	}
		

	while(1)
	{
		sleep(3);
		
		pid = fork();
		if (pid == -1)
		{
			perror("fork");
			exit(EXIT_FAILURE);
		}		
		
		if (pid == 0)
		{
			execlp("who", "who", NULL);
			
			perror("who");
			exit(EXIT_FAILURE);
		}
	}	

	exit(EXIT_SUCCESS);
}
